 /*
 * Level created by Storch 2.03
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMPosition VoidHazard_Draw[]  =
{
  {2,2}, {6,2}, {10,2}, {4,4}, {8,4}, {2,6}, {6,6}, {10,6}, {4,8}, {8,8}, {2,10}, {6,10}, {10,10}, {4,12}, {8,12}
};

static BMPosition VoidHazard_Del[]  =
{
  {4,2}, {8,2}, {2,4}, {6,4}, {10,4}, {4,6}, {8,6}, {2,8}, {6,8}, {10,8}, {4,10}, {8,10}, {2,12}, {6,12}, {10,12}
};

static BMLevelData VoidHazard =
{
  /* BMLevel */
  {
    "Void Hazard",
    "Tor Andr",
    "xblast.useVoidHazard",
    "Remember the void blocks",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &VoidHazard,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_spiral,
    {GAME_TIME*0.18, 15, VoidHazard_Draw, },
    {GAME_TIME*0.18, 15, VoidHazard_Del, },
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_void,
  special_key_air,
  },
  /* BMPlayerData */
  {
    5, 12,
    {
      { 1, 1 },
      { 11, 13 },
      { 1, 13 },
      { 11, 1 },
      { 1, 7 },
      { 11, 7 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_Airpump | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"iron_floor", "Black", "DarkGreen", "DarkRed"}, 
     {"iron_floor_S", "Black", "DarkGreen", "DarkRed"}, 
     {"dark_block", "Black", "Maroon", "Maroon"}, 
     {"dark_block_R", "Black", "Maroon", "Maroon"}, 
     {"extra", "Black", "Gold", "OrangeRed"}, 
     {"extra_O", "Black", "Gold", "OrangeRed"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_BOMB,
     {"iron_floor", "Black", "DarkGreen", "DarkRed"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 0, 0, 0, 0, 0 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,v,_,v,_,v,_,v,_,v,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,v,_,v,_,v,_,v,_,v,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,v,_,v,_,v,_,v,_,v,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,v,_,v,_,v,_,v,_,v,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,v,_,v,_,v,_,v,_,v,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,_,v,_,v,_,v,_,v,_,v,_,B, },
        { B,_,_,_,_,_,_,_,_,_,_,_,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
