 /*
 * Level created by Storch 2.15
 * Written by Tobias Johansson (d97tj@efd.lth.se)
 * Co-writer Tor Andr (d97tan@efd.lth.se)
 */

/* XBlast 2.6.1 level */

static BMPosition BounchyWorld_Draw[]  =
{
  {1,1}, {2,1}, {3,1}, {4,1}, {5,1}, {6,1}, {7,1}, {8,1}, {9,1}, {10,1}, {11,1}, {1,2}, {2,2}, {3,2}, {4,2}, {5,2}, {6,2}, {7,2}, {8,2}, {9,2}, {10,2}, {11,2}, {1,3}, {2,3}, {10,3}, {11,3}, {1,4}, {2,4}, {10,4}, {11,4}, {1,5}, {2,5}, {10,5}, {11,5}, {1,6}, {2,6}, {10,6}, {11,6}, {1,7}, {2,7}, {10,7}, {11,7}, {1,8}, {2,8}, {10,8}, {11,8}, {1,9}, {2,9}, {10,9}, {11,9}, {1,10}, {2,10}, {10,10}, {11,10}, {1,11}, {2,11}, {10,11}, {11,11}, {1,12}, {2,12}, {3,12}, {4,12}, {5,12}, {6,12}, {7,12}, {8,12}, {9,12}, {10,12}, {11,12}, {1,13}, {2,13}, {3,13}, {4,13}, {5,13}, {6,13}, {7,13}, {8,13}, {9,13}, {10,13}, {11,13}
};

static BMPosition BounchyWorld_Del[]  =
{
  {5,2}, {7,2}, {2,7}, {10,7}, {5,12}, {7,12}
};

static BMLevelData BounchyWorld =
{
  /* BMLevel */
  {
    "Bounchy World",
    "Glaset",
    "xblast.useBounchyWorld",
    "The walls might be hidden",
    GM_Random | GM_2_Player | GM_3_Player | GM_4_Player | GM_SinglePlayer | GM_All,
    (void *) &BounchyWorld,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_void,
    {GAME_TIME*0.5, 80, BounchyWorld_Draw, },
    {GAME_TIME*0.2, 6, BounchyWorld_Del, },
  },
  /* BMFuncData */
  {
  special_init_void,
  special_game_void,
  special_extra_void,
  special_key_void,
  },
  /* BMPlayerData */
  {
    10, 4,
    {
      { 2, 12 },
      { 2, 2 },
      { 10, 12 },
      { 10, 2 },
      { 5, 7 },
      { 10, 2 },
    },
    PM_Polar, 2,
    Healthy, Healthy, IF_None | IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_rebound, bomb_click_rebound, bomb_click_contact,
    GoStop, FUSElong,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
     {"iron_floor", "Black", "BlueViolet", "SpringGreen"}, 
     {"iron_floor_S", "Black", "BlueViolet", "SpringGreen"}, 
     {"dark_block", "Black", "MediumBlue", "Aquamarine"}, 
     {"dark_block_R", "Black", "MediumBlue", "Aquamarine"}, 
     {"sphere_light", "Black", "Crimson", "OrangeRed"}, 
     {"sphere_light_O", "Black", "Crimson", "OrangeRed"}, 
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_BOMB,
     {"iron_floor", "Black", "BlueViolet", "SpringGreen"}, 
    },
  },
  /* BMMapData */
  {
      ShadowFull, DEnone,
      { 0, 0, 0, 0, 0 },
      {
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
        { B,B,_,B,_,B,_,B,_,B,_,B,B, },
        { B,_,_,_,_,v,_,v,_,_,_,_,B, },
        { B,B,_,B,X,B,X,B,X,B,_,B,B, },
        { B,_,_,X,_,_,_,_,_,X,_,_,B, },
        { B,B,_,B,_,_,_,_,_,B,_,B,B, },
        { B,_,_,X,_,_,_,_,_,X,_,_,B, },
        { B,B,v,B,_,_,_,_,_,B,v,B,B, },
        { B,_,_,X,_,_,_,_,_,X,_,_,B, },
        { B,B,_,B,_,_,_,_,_,B,_,B,B, },
        { B,_,_,X,_,_,_,_,_,X,_,_,B, },
        { B,B,_,B,X,B,X,B,X,B,_,B,B, },
        { B,_,_,_,_,v,_,v,_,_,_,_,B, },
        { B,B,_,B,_,B,_,B,_,B,_,B,B, },
        { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};
